def updateRuler(eventId, caller):
	transformMatrix = vtk.vtkMatrix4x4()
	transformNode = slicer.util.getNode('StylusTipToStylus')
	transformNode.GetMatrixTransformToWorld(transformMatrix)
	origin = [0,0,0,1]
	origin = transformMatrix.MultiplyPoint(origin)
	r = slicer.util.getNode('M')
	r.SetPosition1(origin[0], origin[1], origin[2])
	p = [0, 0, 0]
	fiducialList = slicer.util.getNode('F')
	fiducialList.GetNthFiducialPosition(0, p)
	r.SetPosition2(p[0], p[1], p[2])
	r.Modified()

transformNode = slicer.util.getNode('StylusToReference')
tag = transformNode.AddObserver(vtk.vtkCommand.ModifiedEvent, updateRuler)
